# error_out.tcl --
#
# This outputs the content of the file (1st argument) into a window for the user
#
# Date		Who	Description
# 27-sep-2002	GKW	Initial version
#

for {set idx 0} {$idx < $argc} {incr idx} {if {[string last "wish.tcl" [lindex $argv $idx]] == -1} {break}}
set input_file [lindex $argv $idx]

set w .
#catch {destroy $w}
#toplevel $w
wm title . "Postprocessor Warning and/or Error messages"
#wm iconname $w "text"
#positionWindow $w

frame .buttons
pack .buttons -side bottom -fill x -pady 2m
button .buttons.dismiss -text close -command "destroy $w"
pack .buttons.dismiss -side left -expand 1

text .text -relief sunken -bd 2 -yscrollcommand ".scrolly set" -setgrid 1 \
	-height 30 -bg white -width 90 -font courier
scrollbar .scrolly -command ".text yview"
pack .scrolly -side right -fill y
pack .text -expand yes -fill both

set input_ch [open $input_file r]
set text_output ""
for {set line 1} {![eof $input_ch]} {incr line} \
{
	append text_output "[gets $input_ch]\n"
}
.text insert end $text_output
